Package com.independentsoft.office.spreadsheet

# Class SheetProperties

java.lang.Object
com.independentsoft.office.spreadsheet.SheetProperties

public class SheetProperties extends Object
The Class SheetProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SheetProperties()`
  Instantiates a new sheet properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SheetProperties`
  `clone()`
  `String`
  `getCodeName()`
  Gets the code name.
  `OutlineProperties`
  `getOutlineProperties()`
  Gets the outline properties.
  `PageSetupProperties`
  `getPageSetupProperties()`
  Gets the page setup properties.
  `SheetTabColor`
  `getSheetTabColor()`
  Gets the sheet tab color.
  `String`
  `getSyncReference()`
  Gets the sync reference.
  `boolean`
  `isEnableConditionalFormattingCalculations()`
  Checks if is enable conditional formatting calculations.
  `boolean`
  `isFilterMode()`
  Checks if is filter mode.
  `boolean`
  `isPublished()`
  Checks if is published.
  `boolean`
  `isSyncHorizontal()`
  Checks if is sync horizontal.
  `boolean`
  `isSyncVertical()`
  Checks if is sync vertical.
  `boolean`
  `isTransitionFormulaEntry()`
  Checks if is transition formula entry.
  `boolean`
  `isTransitionFormulaEvaluation()`
  Checks if is transition formula evaluation.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setEnableConditionalFormattingCalculations​(boolean enableConditionalFormattingCalculations)`
  Sets the enable conditional formatting calculations.
  `void`
  `setFilterMode​(boolean filterMode)`
  Sets the filter mode.
  `void`
  `setPublished​(boolean published)`
  Sets the published.
  `void`
  `setSheetTabColor​(SheetTabColor sheetTabColor)`
  Sets the sheet tab color.
  `void`
  `setSyncHorizontal​(boolean syncHorizontal)`
  Sets the sync horizontal.
  `void`
  `setSyncReference​(String syncReference)`
  Sets the sync reference.
  `void`
  `setSyncVertical​(boolean syncVertical)`
  Sets the sync vertical.
  `void`
  `setTransitionFormulaEntry​(boolean transitionFormulaEntry)`
  Sets the transition formula entry.
  `void`
  `setTransitionFormulaEvaluation​(boolean transitionFormulaEvaluation)`
  Sets the transition formula evaluation.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SheetProperties

    public SheetProperties()
    Instantiates a new sheet properties.

- ## Method Details

  - ### clone

    public SheetProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getOutlineProperties

    public OutlineProperties getOutlineProperties()
    Gets the outline properties.
    Returns:
      the outline properties

  - ### getPageSetupProperties

    public PageSetupProperties getPageSetupProperties()
    Gets the page setup properties.
    Returns:
      the page setup properties

  - ### getSheetTabColor

    public SheetTabColor getSheetTabColor()
    Gets the sheet tab color.
    Returns:
      the sheet tab color

  - ### setSheetTabColor

    public void setSheetTabColor​(SheetTabColor sheetTabColor)
    Sets the sheet tab color.
    Parameters:
      `sheetTabColor` - the new sheet tab color

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### isEnableConditionalFormattingCalculations

    public boolean isEnableConditionalFormattingCalculations()
    Checks if is enable conditional formatting calculations.
    Returns:
      true, if is enable conditional formatting calculations

  - ### setEnableConditionalFormattingCalculations

    public void setEnableConditionalFormattingCalculations​(boolean enableConditionalFormattingCalculations)
    Sets the enable conditional formatting calculations.
    Parameters:
      `enableConditionalFormattingCalculations` - the new enable conditional formatting calculations

  - ### isFilterMode

    public boolean isFilterMode()
    Checks if is filter mode.
    Returns:
      true, if is filter mode

  - ### setFilterMode

    public void setFilterMode​(boolean filterMode)
    Sets the filter mode.
    Parameters:
      `filterMode` - the new filter mode

  - ### isPublished

    public boolean isPublished()
    Checks if is published.
    Returns:
      true, if is published

  - ### setPublished

    public void setPublished​(boolean published)
    Sets the published.
    Parameters:
      `published` - the new published

  - ### isSyncHorizontal

    public boolean isSyncHorizontal()
    Checks if is sync horizontal.
    Returns:
      true, if is sync horizontal

  - ### setSyncHorizontal

    public void setSyncHorizontal​(boolean syncHorizontal)
    Sets the sync horizontal.
    Parameters:
      `syncHorizontal` - the new sync horizontal

  - ### getSyncReference

    public String getSyncReference()
    Gets the sync reference.
    Returns:
      the sync reference

  - ### setSyncReference

    public void setSyncReference​(String syncReference)
    Sets the sync reference.
    Parameters:
      `syncReference` - the new sync reference

  - ### isSyncVertical

    public boolean isSyncVertical()
    Checks if is sync vertical.
    Returns:
      true, if is sync vertical

  - ### setSyncVertical

    public void setSyncVertical​(boolean syncVertical)
    Sets the sync vertical.
    Parameters:
      `syncVertical` - the new sync vertical

  - ### isTransitionFormulaEntry

    public boolean isTransitionFormulaEntry()
    Checks if is transition formula entry.
    Returns:
      true, if is transition formula entry

  - ### setTransitionFormulaEntry

    public void setTransitionFormulaEntry​(boolean transitionFormulaEntry)
    Sets the transition formula entry.
    Parameters:
      `transitionFormulaEntry` - the new transition formula entry

  - ### isTransitionFormulaEvaluation

    public boolean isTransitionFormulaEvaluation()
    Checks if is transition formula evaluation.
    Returns:
      true, if is transition formula evaluation

  - ### setTransitionFormulaEvaluation

    public void setTransitionFormulaEvaluation​(boolean transitionFormulaEvaluation)
    Sets the transition formula evaluation.
    Parameters:
      `transitionFormulaEvaluation` - the new transition formula evaluation